## libksysguard 5.27.8

=== debian/changelog ===
libksysguard (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:30:57 +0100

libksysguard (4:5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 13:09:51 +0100

libksysguard (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:50:56 +0200

libksysguard (4:5.27.5-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Do not depend on qtwebengine5-dev on mipsel (Closes: #1041252).

 -- Patrick Franz <deltaone@debian.org>  Sun, 16 Jul 2023 16:56:16 +0200
