## libksysguard 5.27.10

=== debian/changelog ===
libksysguard (4:5.27.10-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 4:5.17.5-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Mon, 17 Feb 2020 22:43:59 +0000]
  * Remove armhf from qtwebengine architecture list.

  [changes introduced in 4:5.25.4-3+rpi1 by Peter Michael Green]
  * Update symbols file for raspian.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 19 Jan 2024 01:25:11 +0000

libksysguard (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:17:10 +0100

libksysguard (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:51:07 +0200

libksysguard (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:47:08 +0200
