=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libksysguard
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -39,12 +38,12 @@
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
-               qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 armhf i386],
+               qtwebengine5-dev (>= 5.15.2~) [amd64 arm64 i386],
                zlib1g-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/libksysguard
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksysguard
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksysguard.git
 Rules-Requires-Root: no
 
 Package: libkf5sysguard-bin
