=== processui/CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,6 @@
         KF5::I18n
         KF5::WindowSystem
         KF5::AuthCore
-        KF5::Completion
         KF5::ConfigWidgets
         KF5::WidgetsAddons
         KF5::IconThemes
