=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libksysguard
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -42,8 +43,8 @@
                zlib1g-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/libksysguard
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksysguard
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksysguard.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
 Rules-Requires-Root: no
 
 Package: libkf5sysguard-bin
